### Method

# Gtk.TextView.window_to_buffer_coords

#### Declaration [src]

    void
    gtk_text_view_window_to_buffer_coords (
      GtkTextView* text_view,
      GtkTextWindowType win,
      int window_x,
      int window_y,
      int* buffer_x,
      int* buffer_y
    )

#### Description [src]

Converts coordinates on the window identified by `win` to buffer coordinates.

#### Parameters

`win` | `GtkTextWindowType`
| a `GtkTextWindowType`
`window_x` | `int`
| window x coordinate
`window_y` | `int`
| window y coordinate
`buffer_x` | `int*`
| buffer x coordinate return location or `NULL`
| Direction: out
| Ownership of the data is transferred to the callee
`buffer_y` | `int*`
| buffer y coordinate return location or `NULL`
| Direction: out
| Ownership of the data is transferred to the callee